{
  "description": "View DynamoDB metrics with an out-of-the-box dashboard.",
  "image":"data:image/svg+xml;base64,[encoded data, 8512 characters]",
  "layout": [
    {
      "h": 6,
      "i": "9e1d91ec-fb66-4cff-b5c5-282270ebffb5",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 0
    },
    {
      "h": 6,
      "i": "9a2daf2e-39bc-445d-947f-617c27fadd0f",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 0
    },
    {
      "h": 6,
      "i": "5b50997d-3bca-466a-bdeb-841b2e49fd65",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 6
    },
    {
      "h": 6,
      "i": "889c36ab-4d0c-4328-9c3c-6558aad6be89",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 6
    },
    {
      "h": 6,
      "i": "0c3b97fe-56e0-4ce6-99f4-fd1cbd24f93e",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 12
    },
    {
      "h": 6,
      "i": "70980d38-ee3c-47be-9520-e371df3b021a",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 12
    },
    {
      "h": 6,
      "i": "fe1b71b5-1a3f-41c0-b6c2-46bf934787ad",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 18
    },
    {
      "h": 6,
      "i": "cc0938a5-af82-4bd8-b10e-67eabe717ee0",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 18
    },
    {
      "h": 6,
      "i": "4bb63c27-5eb4-4904-9947-42ffce15e92e",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 24
    },
    {
      "h": 6,
      "i": "5ffbe527-8cf3-4ed8-ac2d-8739fa7fa9af",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 24
    },
    {
      "h": 6,
      "i": "a02f64ac-e73e-4d4c-a26b-fcfc4265c148",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 30
    },
    {
      "h": 6,
      "i": "014e377d-b7c1-4469-a137-be34d7748f31",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 30
    },
    {
      "h": 6,
      "i": "b1b75926-7308-43b3-bcad-60f369715f0b",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 36
    },
    {
      "h": 6,
      "i": "90f4d19d-8785-4a7a-97cf-c967108e1487",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 6,
      "y": 36
    },
    {
      "h": 6,
      "i": "5412cdad-174b-462b-916e-4e3de477446b",
      "moved": false,
      "static": false,
      "w": 6,
      "x": 0,
      "y": 42
    }
  ],
  "panelMap": {},
  "tags": [],
  "title": "DynamoDB Overview",
  "uploadedGrafana": false,
  "variables": {
    "1f7a94df-9735-4bfa-a1b8-dca8ac29f945": {
      "allSelected": false,
      "customValue": "",
      "description": "Account Region",
      "id": "1f7a94df-9735-4bfa-a1b8-dca8ac29f945",
      "key": "1f7a94df-9735-4bfa-a1b8-dca8ac29f945",
      "modificationUUID": "8ef772a1-7df9-46a2-84e7-ab0c0bfc6886",
      "multiSelect": false,
      "name": "Region",
      "order": 1,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'cloud_region') AS region\nFROM signoz_metrics.distributed_time_series_v4_1day\nWHERE metric_name like '%aws_DynamoDB%' AND JSONExtractString(labels, 'cloud_account_id') IN {{.Account}} GROUP BY region",
      "showALLOption": false,
      "sort": "DISABLED",
      "textboxValue": "",
      "type": "QUERY"
    },
    "93ee15bf-baab-4abf-8828-fe6e75518417": {
      "allSelected": false,
      "customValue": "",
      "description": "AWS Account ID",
      "id": "93ee15bf-baab-4abf-8828-fe6e75518417",
      "key": "93ee15bf-baab-4abf-8828-fe6e75518417",
      "modificationUUID": "409e6a7e-1ec1-4611-8624-492a3aac6ca0",
      "multiSelect": false,
      "name": "Account",
      "order": 0,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'cloud_account_id') AS cloud_account_id\nFROM signoz_metrics.distributed_time_series_v4_1day\nWHERE metric_name like '%aws_DynamoDB%' GROUP BY cloud_account_id",
      "showALLOption": false,
      "sort": "ASC",
      "textboxValue": "",
      "type": "QUERY"
    },
    "fd28f0e0-d4ec-4bcd-9c45-32395cb0c55b": {
      "allSelected": true,
      "customValue": "",
      "description": "DynamoDB Tables",
      "id": "fd28f0e0-d4ec-4bcd-9c45-32395cb0c55b",
      "modificationUUID": "8ebb9032-7e56-4981-8036-efdfc413f8a8",
      "multiSelect": true,
      "name": "Table",
      "order": 2,
      "queryValue": "SELECT DISTINCT JSONExtractString(labels, 'TableName') AS table FROM signoz_metrics.distributed_time_series_v4_1day WHERE metric_name like '%aws_DynamoDB%' AND JSONExtractString(labels, 'cloud_account_id') IN {{.Account}}  AND JSONExtractString(labels, 'cloud_region') IN {{.Region}} and table != '' GROUP BY table\n",
      "showALLOption": true,
      "sort": "ASC",
      "textboxValue": "",
      "type": "QUERY"
    }
  },
  "version": "v4",
  "widgets": [
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "9e1d91ec-fb66-4cff-b5c5-282270ebffb5",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_AccountMaxReads_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_AccountMaxReads_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "fc55895c",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "8b3f3e0b",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [],
              "having": [],
              "legend": "",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "4fdb1c6c-8c7f-4f8b-a468-9326c811981a",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Account Max Reads",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "5b50997d-3bca-466a-bdeb-841b2e49fd65",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_AccountMaxTableLevelReads_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_AccountMaxTableLevelReads_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "f7b176f8",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "9a023ab7",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [],
              "having": [],
              "legend": "",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "310efa3b-d68a-4630-b279-bcbc22ddbefb",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Account Max Table Level Reads",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "889c36ab-4d0c-4328-9c3c-6558aad6be89",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_AccountMaxTableLevelWrites_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_AccountMaxTableLevelWrites_max",
                "type": "Gauge"
              },
              "aggregateOperator": "avg",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "ec5ebf95",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "5b2fb00e",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [],
              "having": [],
              "legend": "",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "avg"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "473de955-bc5c-4a66-aa8d-2e37502c5643",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Account Max Table Level Writes",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "9a2daf2e-39bc-445d-947f-617c27fadd0f",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_AccountMaxWrites_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_AccountMaxWrites_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "3815cf09",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "a783bd91",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [],
              "having": [],
              "legend": "",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "avg",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "1115aaa1-fdb0-47a1-af79-8c6d439747d4",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Account Max Writes",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "0c3b97fe-56e0-4ce6-99f4-fd1cbd24f93e",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_AccountProvisionedReadCapacityUtilization_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_AccountProvisionedReadCapacityUtilization_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "edcbcb83",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "224766cb",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [],
              "having": [],
              "legend": "",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "d42bc3cd-f457-42eb-936e-c931b0c77f61",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Account Provisioned Read Capacity",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "70980d38-ee3c-47be-9520-e371df3b021a",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_AccountProvisionedWriteCapacityUtilization_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_AccountProvisionedWriteCapacityUtilization_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "c237482a",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "e3a117d5",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [],
              "having": [],
              "legend": "",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "d06d2f3d-8878-4c53-a8f1-10024091887a",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Account Provisioned Write Capacity",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "fe1b71b5-1a3f-41c0-b6c2-46bf934787ad",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_ConsumedReadCapacityUnits_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_ConsumedReadCapacityUnits_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "b867513b",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "9c10cbaa",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "4ff7fb7c",
                    "key": {
                      "dataType": "string",
                      "id": "TableName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "TableName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Table"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "TableName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "TableName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{TableName}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "32c9f178-073c-4d1f-8193-76f804776df0",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Consumed Read Capacity",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "cc0938a5-af82-4bd8-b10e-67eabe717ee0",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_ConsumedWriteCapacityUnits_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_ConsumedWriteCapacityUnits_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "7e2aa806",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "dd49e062",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "e7ada865",
                    "key": {
                      "dataType": "string",
                      "id": "TableName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "TableName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Table"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "TableName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "TableName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{TableName}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "40397368-92df-42b9-b0e6-0e7dc7984bc4",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Consumed Write Capacity",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "4bb63c27-5eb4-4904-9947-42ffce15e92e",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_MaxProvisionedTableReadCapacityUtilization_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_MaxProvisionedTableReadCapacityUtilization_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "b3e029fa",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "e6764d50",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [],
              "having": [],
              "legend": "",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "6a33d44a-a337-422f-a964-89b88804343f",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Max Provisioned Table Read Capacity",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "5ffbe527-8cf3-4ed8-ac2d-8739fa7fa9af",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_MaxProvisionedTableWriteCapacityUtilization_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_MaxProvisionedTableWriteCapacityUtilization_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "80ba9142",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "9c802cf0",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [],
              "having": [],
              "legend": "",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "a98b7d13-63d3-46cf-b4e7-686b3be7d9f9",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Max Provisioned Table Write Capacity",
      "yAxisUnit": "percent"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "a02f64ac-e73e-4d4c-a26b-fcfc4265c148",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_ReturnedItemCount_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_ReturnedItemCount_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "db6edb77",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "8b86de4a",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "a8d39d03",
                    "key": {
                      "dataType": "string",
                      "id": "TableName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "TableName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Table"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "TableName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "TableName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{TableName}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "6322f225-471d-43a2-b13e-f2312c1a7b57",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Returned Item Count",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "014e377d-b7c1-4469-a137-be34d7748f31",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_SuccessfulRequestLatency_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_SuccessfulRequestLatency_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "93bef7f0",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "4a293ec8",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "2e2286c6",
                    "key": {
                      "dataType": "string",
                      "id": "TableName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "TableName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Table"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "TableName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "TableName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{TableName}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "6ad1cbfe-9581-4d99-a14e-50bc5fef699f",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Successful Request Latency",
      "yAxisUnit": "ms"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "b1b75926-7308-43b3-bcad-60f369715f0b",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_ThrottledRequests_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_ThrottledRequests_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "28fcd3cd",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "619578e5",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  },
                  {
                    "id": "a6bc481e",
                    "key": {
                      "dataType": "string",
                      "id": "TableName--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "TableName",
                      "type": "tag"
                    },
                    "op": "in",
                    "value": [
                      "$Table"
                    ]
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [
                {
                  "dataType": "string",
                  "id": "TableName--string--tag--false",
                  "isColumn": false,
                  "isJSON": false,
                  "key": "TableName",
                  "type": "tag"
                }
              ],
              "having": [],
              "legend": "{{TableName}}",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "fd358cf0-a0b0-4106-a89c-a5196297c23b",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Max Throttled Requests",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "5412cdad-174b-462b-916e-4e3de477446b",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_UserErrors_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_UserErrors_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "5a060b5e",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "3a1cb5ff",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [],
              "having": [],
              "legend": "",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "17db2e6d-d9dc-4568-85ea-ea4b373dfc5e",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "User Errors",
      "yAxisUnit": "none"
    },
    {
      "bucketCount": 30,
      "bucketWidth": 0,
      "columnUnits": {},
      "description": "",
      "fillSpans": false,
      "id": "90f4d19d-8785-4a7a-97cf-c967108e1487",
      "isLogScale": false,
      "isStacked": false,
      "mergeAllActiveQueries": false,
      "nullZeroValues": "zero",
      "opacity": "1",
      "panelTypes": "graph",
      "query": {
        "builder": {
          "queryData": [
            {
              "aggregateAttribute": {
                "dataType": "float64",
                "id": "aws_DynamoDB_WriteThrottleEvents_max--float64--Gauge--true",
                "isColumn": true,
                "isJSON": false,
                "key": "aws_DynamoDB_WriteThrottleEvents_max",
                "type": "Gauge"
              },
              "aggregateOperator": "max",
              "dataSource": "metrics",
              "disabled": false,
              "expression": "A",
              "filters": {
                "items": [
                  {
                    "id": "58bc06b3",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_account_id--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_account_id",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Account"
                  },
                  {
                    "id": "d6d7a8fb",
                    "key": {
                      "dataType": "string",
                      "id": "cloud_region--string--tag--false",
                      "isColumn": false,
                      "isJSON": false,
                      "key": "cloud_region",
                      "type": "tag"
                    },
                    "op": "=",
                    "value": "$Region"
                  }
                ],
                "op": "AND"
              },
              "functions": [],
              "groupBy": [],
              "having": [],
              "legend": "",
              "limit": null,
              "orderBy": [],
              "queryName": "A",
              "reduceTo": "avg",
              "spaceAggregation": "max",
              "stepInterval": 60,
              "timeAggregation": "max"
            }
          ],
          "queryFormulas": []
        },
        "clickhouse_sql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "id": "713c6c70-3a62-4b67-8a67-7917ca9d4fbf",
        "promql": [
          {
            "disabled": false,
            "legend": "",
            "name": "A",
            "query": ""
          }
        ],
        "queryType": "builder"
      },
      "selectedLogFields": [
        {
          "dataType": "string",
          "name": "body",
          "type": ""
        },
        {
          "dataType": "string",
          "name": "timestamp",
          "type": ""
        }
      ],
      "selectedTracesFields": [
        {
          "dataType": "string",
          "id": "serviceName--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "serviceName",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "name--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "name",
          "type": "tag"
        },
        {
          "dataType": "float64",
          "id": "durationNano--float64--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "durationNano",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "httpMethod--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "httpMethod",
          "type": "tag"
        },
        {
          "dataType": "string",
          "id": "responseStatusCode--string--tag--true",
          "isColumn": true,
          "isJSON": false,
          "key": "responseStatusCode",
          "type": "tag"
        }
      ],
      "softMax": 0,
      "softMin": 0,
      "stackedBarChart": false,
      "thresholds": [],
      "timePreferance": "GLOBAL_TIME",
      "title": "Max Write Throttle Events",
      "yAxisUnit": "none"
    }
  ]
}